/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<types.h>)
#  include <types.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_prison_scanner()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    {
        Q_CONSTINIT static auto metaType = QQmlPrivate::metaTypeForNamespace(
            [](const QtPrivate::QMetaTypeInterface *) {return &Prison::Format::staticMetaObject;},
            "Prison::Format");
        QMetaType(&metaType).id();
    }
    qmlRegisterNamespaceAndRevisions(&Prison::Format::staticMetaObject, "org.kde.prison.scanner", 1, nullptr, &FormatForeign::staticMetaObject, nullptr);
    qmlRegisterEnum<Prison::Format::BarcodeFormat>("Prison::Format::BarcodeFormat");
    qmlRegisterEnum<Prison::Format::BarcodeFormats>("Prison::Format::BarcodeFormats");
    qmlRegisterEnum<Prison::Format::BarcodeFormat>("Prison::Format::BarcodeFormat");
    qmlRegisterTypesAndRevisions<ScanResultForeign>("org.kde.prison.scanner", 1);
    qmlRegisterTypesAndRevisions<VideoScannerForeign>("org.kde.prison.scanner", 1);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.prison.scanner", 1, 0);
}

static const QQmlModuleRegistration orgkdeprisonscannerRegistration("org.kde.prison.scanner", qml_register_types_org_kde_prison_scanner);
